## schedutils-1.5.0.tar.bz2

=== Makefile ===
#
# Makefile: schedutils
# Robert Love, 20020425
# Last updated 20040323
#

ver = "1.5.0"

# user configurable settings
PREFIX		= ${DESTDIR}/usr
BINDIR		= ${PREFIX}/bin
MANDIR		= ${PREFIX}/share/man
MAN1DIR		= ${MANDIR}/man1/
DOCDIR		= ${PREFIX}/share/doc/schedutils-${ver}

ANAL_WARN	= -Wconversion -Wshadow -Waggregate-return -Wcast-qual \
-Wmissing-prototypes -Wmissing-declarations -Wcast-align -Wbad-function-cast \
-Wdisabled-optimization -Wpointer-arith -Wwrite-strings -Wredundant-decls

CC		= gcc
CFLAGS		= -O2 -Wall -W -Wstrict-prototypes ${ANAL_WARN}

INSTALLBIN	= install
INSTALLMAN	= install --mode a=r
INSTALLDOC	= install --mode a=r
INSTALLDOCDIR	= install --directory

PROGS		= chrt ionice taskset
MANPAGES	= chrt.1 ionice.1 taskset.1
DOCS		= AUTHORS ChangeLog COPYING INSTALL README

all: ${PROGS}

chrt: chrt.c
	$(CC) $(CFLAGS) -DVERSION=\"$(ver)\" -o chrt chrt.c

ionice: ionice.c
	$(CC) $(CFLAGS) -DVERSION=\"$(ver)\" -o ionice ionice.c

taskset: taskset.c
	$(CC) $(CFLAGS) -DVERSION=\"$(ver)\" -o taskset taskset.c

clean:
	@-rm -f ${PROGS} ionice

distclean: clean
	@-find . -name SCCS -prune -o -name BitKeeper -prune -o \
		\( -not -type d \) -and \
		\( -name '*.orig' -o -name '*.rej' -o -name '*~' \
		-o -name '*.bak' -o -name core -o -name '*.o' \
		-o -name '*.tmp' -o -size 0 \) \
		-type f -print | xargs rm -rf

install: ${PROGS}
	@echo Install binaries to: ${BINDIR}
	@echo Install manpage to: ${MAN1DIR}

	@${INSTALLBIN} ${PROGS} ${BINDIR}
	@cd man/ && ${INSTALLMAN} ${MANPAGES} ${MAN1DIR}

	@echo Done!  Do 'make installdoc' if you wish to install the docs.

installdoc: ${PROGS}
	@echo Install documentation to: ${DOCDIR}
	@${INSTALLDOCDIR} ${DOCDIR}
	@${INSTALLDOC} ${DOCS} ${DOCDIR}
	
uninstall:
	@cd ${BINDIR} && \
	rm -f ${PROGS}

	@cd ${MAN1DIR} && \
	gzip -d ${MANPAGES} && \
	rm -f ${MANPAGES}

	@rm -rf ${DOCDIR}

=== debian/changelog ===
schedutils (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Update ionice from util-linux. Closes: #366159
  * Allow ionice to be compiled on architectures that are not supported,
    complain at runtime instead.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Nov 2006 21:25:20 +0100

schedutils (1.4.0-1) unstable; urgency=low

  * New upstream release. Closes: #304916

 -- Guus Sliepen <guus@debian.org>  Mon, 25 Apr 2005 10:00:33 +0200

schedutils (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 25 Mar 2004 11:14:40 +0100

schedutils (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 12 Sep 2003 17:35:18 +0200

schedutils (1.3.2-2) unstable; urgency=low

  * Add some system call numbers, and try to create a function
    returning ENOSYS instead of failing to compile.

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Aug 2003 12:45:05 +0200

schedutils (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 14 Aug 2003 15:48:48 +0200

schedutils (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat,  9 Aug 2003 10:26:47 +0200

schedutils (1.3.0-1) unstable; urgency=low

  * New upstream release. 

 -- Guus Sliepen <guus@debian.org>  Sun, 15 Jun 2003 18:29:12 +0200

schedutils (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 23 Apr 2003 11:44:57 +0200

schedutils (1.1.0-2) unstable; urgency=low

  * Include <errno.h> for ENOSYS.

 -- Guus Sliepen <guus@debian.org>  Mon, 16 Dec 2002 18:52:25 +0100

schedutils (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * chbatch is no longer included. Closes: #165595

 -- Guus Sliepen <guus@debian.org>  Mon, 16 Dec 2002 17:32:13 +0100

schedutils (1.0.0-6) unstable; urgency=low

  * Really fix build-dependencies this time?

 -- Guus Sliepen <guus@debian.org>  Wed, 23 Oct 2002 00:23:11 +0200

schedutils (1.0.0-5) unstable; urgency=low

  * Fix build-dependencies for ia64 (and other architectures?).
    Closes: #165816

 -- Guus Sliepen <guus@debian.org>  Tue, 22 Oct 2002 00:53:25 +0200

schedutils (1.0.0-4) unstable; urgency=low

  * Build-depend on libc6-dev instead of libc6.

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Oct 2002 21:39:52 +0200

schedutils (1.0.0-3) unstable; urgency=low

  * Use glibc 2.3's definitions for sched_set/getaffinity().

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Oct 2002 18:35:55 +0200

schedutils (1.0.0-2) unstable; urgency=low

  * Fix package description. Closes: #155720

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Sep 2002 17:07:41 +0200

schedutils (1.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #153162

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Sep 2002 16:07:45 +0200

schedutils (0.0.9-1) unstable; urgency=low

  * New upstream release.
  * Added manual page for chbatch.

 -- Guus Sliepen <guus@debian.org>  Mon, 22 Jul 2002 16:25:21 +0200

schedutils (0.0.8-1) unstable; urgency=low

  * New upstream release. Closes: #151277

 -- Guus Sliepen <guus@debian.org>  Fri, 28 Jun 2002 17:55:51 +0200

schedutils (0.0.6-1) unstable; urgency=low

  * New upstream release. Closes: #149357

 -- Guus Sliepen <guus@sliepen.warande.net>  Wed, 19 Jun 2002 18:10:39 +0200

schedutils (0.0.5-2) unstable; urgency=low

  * Build taskset only on supported platforms. Closes: #148698

 -- Guus Sliepen <guus@sliepen.warande.net>  Sun,  2 Jun 2002 16:35:57 +0200

schedutils (0.0.5-1) unstable; urgency=low

  * Initial Release. Closes: #148076

 -- Guus Sliepen <guus@sliepen.warande.net>  Wed, 22 May 2002 19:46:04 +0200

=== debian/control ===
Source: schedutils
Section: utils
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>> 4.0.0), libc6-dev (>= 2.3.2.ds1-21) [!ia64 !alpha], libc6.1-dev (>= 2.3.2.ds1-21) [ia64 alpha]
Standards-Version: 3.7.2

Package: schedutils
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux scheduler utilities
 These are the Linux scheduler utilities - schedutils for short. These programs
 take advantage of the scheduler family of syscalls that Linux implements across
 various kernels. These system calls implement interfaces for scheduler-related
 parameters such as CPU affinity and real-time attributes. The standard UNIX
 utilities do not provide support for these interfaces -- thus this package.
 .
 The programs that are included in this package are taskset, chrt and ionice.
 Together with nice and renice (not included), they allow full control of
 process scheduling parameters.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir

build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/schedutils.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/schedutils


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
